# -*- coding: utf8 -*-

from qt import *
import pixmaps

from testwinbase import TestWinBase

__version__ = '0.0.1'
__date__ = '20101007'
__app__ = 'Testapp'

# Main widget
class TestWin(TestWinBase):
    def __init__(self, parent = None, name = None, fl = 0):
        TestWinBase.__init__(self, parent, name, fl)
        self.resize(500, 300)
        self.statusBar().setSizeGripEnabled(False)
        self.staticMsg = QLabel(self)
        self.statusBar().addWidget(self.staticMsg, 0, True)
        self.statusBar().message(self.__tr("%1 Version [%2] %3 operational...")
                                .arg(__app__).arg(__version__).arg(__date__), 10000)

        self.connect(self.quitAction, SIGNAL("activated()"), self.close)
        self.runningSince = QTime.currentTime()
        self.statusTimer = QTimer(self)
        self.connect(self.statusTimer, SIGNAL("timeout()"), self.statusTimeout)
        self.statusTimer.start(1000)

    def statusTimeout(self):
        elapsed = self.runningSince.elapsed() / 1000
        qApp.mainWidget().staticMsg.setText(self.__tr("Running since: %1")
                         .arg(QTime().addSecs(elapsed).toString()))
        if elapsed >= 3:
            qApp.mainWidget().statusBar().message(self.__tr(
                             "." * elapsed), 1000)

    def close(self, alsoDelete = 1):
        return TestWinBase.close(self, alsoDelete)

    def __tr(self,s,c = None):
        return qApp.translate("TestWin",s,c)
